
From: Pat Gefre <pfg@sgi.com>

Fix a couple of compiler warnings



---

 25-akpm/arch/ia64/sn/io/xswitch.c   |    8 ++++----
 25-akpm/arch/ia64/sn/kernel/setup.c |    1 -
 2 files changed, 4 insertions(+), 5 deletions(-)

diff -puN arch/ia64/sn/io/xswitch.c~sn27 arch/ia64/sn/io/xswitch.c
--- 25/arch/ia64/sn/io/xswitch.c~sn27	Thu Jan  8 15:19:00 2004
+++ 25-akpm/arch/ia64/sn/io/xswitch.c	Thu Jan  8 15:19:00 2004
@@ -63,7 +63,7 @@ xswitch_info_vhdl_set(xswitch_info_t xsw
     if (port > XSWITCH_CENSUS_PORT_MAX)
 	return;
 
-    xswitch_info->vhdl[port] = xwidget;
+    xswitch_info->vhdl[(int)port] = xwidget;
 }
 
 vertex_hdl_t
@@ -73,7 +73,7 @@ xswitch_info_vhdl_get(xswitch_info_t xsw
     if (port > XSWITCH_CENSUS_PORT_MAX)
 	return GRAPH_VERTEX_NONE;
 
-    return xswitch_info->vhdl[port];
+    return xswitch_info->vhdl[(int)port];
 }
 
 /*
@@ -89,7 +89,7 @@ xswitch_info_master_assignment_set(xswit
     if (port > XSWITCH_CENSUS_PORT_MAX)
 	return;
 
-    xswitch_info->master_vhdl[port] = master_vhdl;
+    xswitch_info->master_vhdl[(int)port] = master_vhdl;
 }
 
 vertex_hdl_t
@@ -99,7 +99,7 @@ xswitch_info_master_assignment_get(xswit
     if (port > XSWITCH_CENSUS_PORT_MAX)
 	return GRAPH_VERTEX_NONE;
 
-    return xswitch_info->master_vhdl[port];
+    return xswitch_info->master_vhdl[(int)port];
 }
 
 void
diff -puN arch/ia64/sn/kernel/setup.c~sn27 arch/ia64/sn/kernel/setup.c
--- 25/arch/ia64/sn/kernel/setup.c~sn27	Thu Jan  8 15:19:00 2004
+++ 25-akpm/arch/ia64/sn/kernel/setup.c	Thu Jan  8 15:19:00 2004
@@ -433,7 +433,6 @@ sn_cpu_init(void)
 void
 scan_for_ionodes(void) {
 	int nasid = 0;
-	lboard_t *brd;
 
 	/* Setup ionodes with memory */
 	for (nasid = 0; nasid < MAX_PHYSNODE_ID; nasid +=2) {

_
